1

I ran sudo snap install anbox-installer --classic Then ran anbox-installer in the terminal.

-------- Uninstall Beginning --------
Module:  anbox-modules-ashmem
Version: 9~xenial1
Kernel:  4.10.0-42-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

ashmem_linux.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.10.0-42-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.

-------- Uninstall Beginning --------
Module:  anbox-modules-ashmem
Version: 9~xenial1
Kernel:  4.4.0-109-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

ashmem_linux.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.4.0-109-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.

------------------------------
Deleting module version: 9~xenial1
completely from the DKMS tree.
------------------------------
Done.
Loading new anbox-modules-ashmem-9~xenial1 DKMS files...
First Installation: checking all kernels...
Building only for 4.10.0-42-generic
Building for architecture x86_64
Building initial module for 4.10.0-42-generic
Done.

ashmem_linux:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.10.0-42-generic/updates/dkms/

depmod....

DKMS: install completed.
Removing old anbox-modules-binder-9~xenial1 DKMS files...

-------- Uninstall Beginning --------
Module:  anbox-modules-binder
Version: 9~xenial1
Kernel:  4.10.0-42-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

binder_linux.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.10.0-42-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.

-------- Uninstall Beginning --------
Module:  anbox-modules-binder
Version: 9~xenial1
Kernel:  4.4.0-109-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

binder_linux.ko:
 - Uninstallation
   - Deleting from: /lib/modules/4.4.0-109-generic/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.

------------------------------
Deleting module version: 9~xenial1
completely from the DKMS tree.
------------------------------
Done.
Loading new anbox-modules-binder-9~xenial1 DKMS files...
First Installation: checking all kernels...
Building only for 4.10.0-42-generic
Building for architecture x86_64
Building initial module for 4.10.0-42-generic
Done.

binder_linux:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.10.0-42-generic/updates/dkms/

depmod....

DKMS: install completed.
Processing triggers for shim-signed (1.32~16.04.1+0.9+1474479173.6c180c6-1ubuntu1) ...
+ sudo modprobe binder_linux
modprobe: ERROR: could not insert 'binder_linux': Required key not available
+ cleanup
+ local err=1
+ trap - EXIT
+ echo 'ERROR: Installation failed. Removing all parts of Anbox again.'
ERROR: Installation failed. Removing all parts of Anbox again.
+ uninstall
+ set -x
+ sudo snap remove anbox
snap "anbox" is not installed
+ '[' -e /etc/apt/sources.list.d/morphis-ubuntu-anbox-support-xenial.list ']'
+ ppa_purged_installed=0
+ grep -q ppa-purge
+ dpkg --get-selections
+ sudo apt install -y ppa-purge
Reading package lists... Done
Building dependency tree       
Reading state information... Done

I am receiving these errors. What should i do ?

  • thre is no anbox installed on my pc – Nissaar Jan 13 '18 at 15:33
  • where can i find the solution ? – Nissaar Jan 14 '18 at 9:35

Browse other questions tagged or ask your own question.